package cn.stylefeng.workflow.instance.modular.task.strategy.sameneighbor;

import cn.stylefeng.workflow.api.entity.task.RuTask;
import cn.stylefeng.workflow.api.enums.strategy.AdjacentApproverSkipPolicyEnum;
import cn.stylefeng.workflow.instance.modular.task.strategy.sameneighbor.base.SameNeighborRule;
import org.springframework.stereotype.Component;

@Component
public class SameNeighborNotJumpRule extends SameNeighborRule {

    @Override
    public AdjacentApproverSkipPolicyEnum getStrategyType() {
        return AdjacentApproverSkipPolicyEnum.NOT_JUMP;
    }

    @Override
    public void processTask(RuTask originTask) {
        return;
    }

}
